CREATE TABLE IF NOT EXISTS GG_INBOX
(
    IND_ORDER_ID          VARCHAR2(50)   ,
    ORIG_STORE_CODE       VARCHAR2(15)   ,
    DEST_STORE_CODE       VARCHAR2(15)   ,
    FF_STORE_CODE         VARCHAR2(15)   NULL,
    OCC_OCCASION_CODE     VARCHAR2(15)   NULL,
    PRO_PROD_ID           NUMBER(22, 0)  ,
    ORIG_FX_CODE          VARCHAR2(6)    ,
    DEST_FX_CODE          VARCHAR2(6)    ,
    RATE                  NUMBER(16, 6)  ,
    BAO_BATCH_OUT_ID      NUMBER(22, 0)  NULL,
    BAI_BATCH_IN_ID       NUMBER(22, 0)  ,
    VAL_VALUE_ID          NUMBER(22, 0)  NULL,
    AUT_AUTH_ID           NUMBER(22, 0)  NULL,
    FROM_NAME_1           VARCHAR2(50)   NULL,
    FROM_NAME_2           VARCHAR2(50)   NULL,
    FROM_ADDRESS_1        VARCHAR2(100)  NULL,
    FROM_ADDRESS_2        VARCHAR2(100)  NULL,
    FROM_ADDRESS_3        VARCHAR2(100)  NULL,
    FROM_CITY             VARCHAR2(50)   NULL,
    FROM_STATE_PROV       VARCHAR2(100)  NULL,
    FROM_ZIP              VARCHAR2(30)   NULL,
    FROM_COUNTRY          NUMBER(22, 0)  NULL,
    FROM_EMAIL            VARCHAR2(100)  NULL,
    FROM_PHONE            VARCHAR2(50)   NULL,
    FROM_ALTPHONE         VARCHAR2(50)   NULL,
    FROM_FAX              VARCHAR2(50)   NULL,
    SEND_NAME_1           VARCHAR2(500)  NULL,
    SEND_NAME_2           VARCHAR2(500)  NULL,
    SEND_ADDRESS_1        VARCHAR2(500)  NULL,
    SEND_ADDRESS_2        VARCHAR2(500)  NULL,
    SEND_ADDRESS_3        VARCHAR2(500)  NULL,
    SEND_CITY             VARCHAR2(500)  NULL,
    SEND_STATE_PROV       VARCHAR2(300)  NULL,
    SEND_ZIP              VARCHAR2(30)   NULL,
    SEND_COUNTRY          NUMBER(22, 0)  NULL,
    SEND_EMAIL            VARCHAR2(100)  NULL,
    SEND_PHONE            VARCHAR2(50)   NULL,
    SEND_ALTPHONE         VARCHAR2(50)   NULL,
    SEND_FAX              VARCHAR2(50)   NULL,
    ORIG_AMOUNT           NUMBER(12, 2)  NULL,
    DEST_AMOUNT           NUMBER(12, 2)  NULL,
    SPECIAL_WORDING       VARCHAR2(2000) NULL,
    IDEAL_DATE            DATE           NULL,
    FORM_OF_PAY           NUMBER(2, 0)   NULL,
    CARDTYPE              VARCHAR2(50)   NULL,
    CARDNO                VARCHAR2(50)   NULL,
    CARDEXPIRY            VARCHAR2(50)   NULL,
    CARDHOLDER            VARCHAR2(100)  NULL,
    AUTH_CODE             VARCHAR2(30)   NULL,
    AUTH_MSG              VARCHAR2(200)  NULL,
    RETAIL_REF            NUMBER(22, 0)  NULL,
    ANON_Y_N              NUMBER(2, 0)   NULL,
    CC_STATE              NUMBER(2, 0)   NULL,
    STATEMENT_STATE       NUMBER(2, 0)   NULL,
    HOLD_ORDER            NUMBER(2, 0)   NULL,
    CANCELLED             NUMBER(2, 0)   NULL,
    USER_DEF_1            VARCHAR2(50)   NULL,
    USER_DEF_2            VARCHAR2(50)   NULL,
    USER_DEF_3            VARCHAR2(50)   NULL,
    DELIVERY_MECH         NUMBER(2, 0)   NULL,
    RESPONSE_CODE         VARCHAR2(30)   NULL,
    ENTERED_DATE          DATE           NULL,
    PROCESSED_DATE        DATE           NULL,
    RECEIVED_DATE         DATE           NULL,
    TRANSMITTED_DATE      DATE           NULL,
    COMMENTS              VARCHAR2(255)  NULL,
    OPERATOR_NAME         VARCHAR2(255)  NULL,
    ENTERED_GG_DATE       DATE           NULL,
    STA_STATEMENT_ID      NUMBER(22, 0)  NULL,
    STA_STATEMENT_ORIG_ID NUMBER(22, 0)  NULL,
    ORIG_SHIPHAND         NUMBER(10, 2)  NULL,
    SERVICE_CHARGE        NUMBER(10, 2)  NULL,
    GLBCERT_AMOUNT        NUMBER(12, 2)  NULL,
    GLBCERT_EXP           DATE           NULL,
    PROMO_ID              VARCHAR2(50)   NULL,
    GLBCERT_EMAIL         VARCHAR2(100)  NULL,
    GLBCERT_ID            VARCHAR2(100)  NULL,
    GLBCERT_DESIGN        VARCHAR2(100)  NULL,
    FORM_OF_PACK          VARCHAR2(100)  NULL,
    FORM_OF_DELIVERY      VARCHAR2(100)  NULL,
    GLBCERT_UNIQUE_ID     VARCHAR2(50)   NULL,
    GG_LOGO               VARCHAR2(100)  NULL,
    COMMSVERSION          VARCHAR2(10)   NULL,
    COMMENTS1             VARCHAR2(255)  NULL,
    COMMENTS2             VARCHAR2(255)  NULL,
    GLBCERT_WEBSITE       VARCHAR2(50)   NULL,
    GLBCERT_SUBJECT       VARCHAR2(800)  NULL,
    COST_CENTRE           VARCHAR2(100)  NULL,
    STAFF_NO              VARCHAR2(25)   NULL,
    EMPLOYEE_NO           VARCHAR2(25)   NULL,
    MANAGER               VARCHAR2(50)   NULL,
    REASON                VARCHAR2(2000) NULL,
    DENOMINATIONS         VARCHAR2(100)  NULL,
    UU_ID                 VARCHAR2(50)   NULL,
    LANG                  VARCHAR2(3)    NULL,
    INVOICE_ID            NUMBER(22, 0)  NULL,
    RECIPIENT_NAME_1      VARCHAR2(500)  NULL,
    RECIPIENT_NAME_2      VARCHAR2(500)  NULL,
    AWARDED_DATE          DATE           NULL,
    INVOICING_ENTITY_ID   VARCHAR2(50)   NULL,
    SHIP_BY_DATE          DATE,
    ORDER_STOCK_STATUS    NUMBER(1),
    VENDOR_ORDER_ID       VARCHAR2(50),
    PAYROLL_GROUP         VARCHAR2(50),
    PRIMARY KEY (IND_ORDER_ID, ORIG_STORE_CODE)
);

create or replace synonym GG_REDEMPTION_ITEMS for GG_INBOX;